> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/get-started/faq/vector-drawables.md).

# Why do I need to enable vectorDrawables support for my app?

In order to support vector drawables on devices running Android versions lower than Android 5.0 (API level 21), you will need set vectorDrawables.usesSupportLibrary...

{% hint style="info" %}
**This tutorial only applies to Xamarin.Android.**
{% endhint %}

The Apryse Android SDK uses vector drawables for all its image resources. In order to support vector drawables on devices running Android versions lower than Android 5.0 (API level 21), you will need set `vectorDrawables.usesSupportLibrary = true` in your application module's `build.gradle` file. If your Android app's minimum SDK level is 21 or above, you will not need to set this flag. You can learn more about [vector drawable resources in Android](https://developer.android.com/guide/topics/graphics/vector-drawable-resources/).

**Example:**

{% tabs %}
{% tab title="Groovy" %}
{% code lineNumbers="true" %}

```groovy
android {
    defaultConfig {
        ...
        multiDexEnabled true
+ vectorDrawables.useSupportLibrary = true
        manifestPlaceholders = [pdftronLicenseKey:PDFTRON_LICENSE_KEY]
    }
    ...
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/get-started/faq/vector-drawables.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
